Loading...
Searching...
No Matches
field_rdof_unary_iterator< UnaryFunction, InputIterator >

## Detailed Description

template<class UnaryFunction, class InputIterator>
class rheolef::details::field_rdof_unary_iterator< UnaryFunction, InputIterator >

Definition at line 50 of file field_rdof_node.h.

## Public Types

using | iterator_category = std::forward_iterator_tag
using | size_type = std::size_t
using | value_type = typename std::iterator_traits<InputIterator>::value_type
using | reference = const value_type&
using | pointer = const value_type*
using | difference_type = std::ptrdiff_t
using | self_type = field_rdof_unary_iterator<UnaryFunction,InputIterator>

## Public Member Functions

| field_rdof_unary_iterator ()=delete
| field_rdof_unary_iterator (const UnaryFunction &f, const InputIterator &iter)
value_type | operator* () const
value_type | operator[] (size_type n) const
self_type & | operator++ ()
self_type | operator++ (int)
self_type & | operator+= (difference_type n)
self_type | operator+ (difference_type n) const
bool | operator== (const self_type &j) const
bool | operator!= (const self_type &j) const

## Protected Attributes

UnaryFunction | _f
InputIterator | _iter

## Member Typedef Documentation

## iterator_category

template<class UnaryFunction, class InputIterator>

using iterator_category = std::forward_iterator_tag

Definition at line 55 of file field_rdof_node.h.

## size_type

template<class UnaryFunction, class InputIterator>

using size_type = std::size_t

Definition at line 56 of file field_rdof_node.h.

## value_type

template<class UnaryFunction, class InputIterator>

using value_type = typename std::iterator_traits<InputIterator>::value_type

Definition at line 57 of file field_rdof_node.h.

## reference

template<class UnaryFunction, class InputIterator>

using reference = const value_type&

Definition at line 58 of file field_rdof_node.h.

## pointer

template<class UnaryFunction, class InputIterator>

using pointer = const value_type*

Definition at line 59 of file field_rdof_node.h.

## difference_type

template<class UnaryFunction, class InputIterator>

using difference_type = std::ptrdiff_t

Definition at line 60 of file field_rdof_node.h.

## self_type

template<class UnaryFunction, class InputIterator>

using self_type = field_rdof_unary_iterator<UnaryFunction,InputIterator>

Definition at line 61 of file field_rdof_node.h.

## Constructor & Destructor Documentation

## field_rdof_unary_iterator() [1/2]

template<class UnaryFunction, class InputIterator>

field_rdof_unary_iterator | ( |  | ) |

delete

## field_rdof_unary_iterator() [2/2]

template<class UnaryFunction, class InputIterator>

field_rdof_unary_iterator | ( | const UnaryFunction & | f,
|  | const InputIterator & | iter )

Definition at line 66 of file field_rdof_node.h.

## Member Function Documentation

## operator*()

template<class UnaryFunction, class InputIterator>

value_type operator* | ( |  | ) | const

Definition at line 71 of file field_rdof_node.h.

## operator[]()

template<class UnaryFunction, class InputIterator>

value_type operator[] | ( | size_type | n | ) | const

Definition at line 72 of file field_rdof_node.h.

## operator++() [1/2]

template<class UnaryFunction, class InputIterator>

self_type & operator++ | ( |  | ) |

Definition at line 74 of file field_rdof_node.h.

## operator++() [2/2]

template<class UnaryFunction, class InputIterator>

self_type operator++ | ( | int |  | ) |

Definition at line 75 of file field_rdof_node.h.

## operator+=()

template<class UnaryFunction, class InputIterator>

self_type & operator+= | ( | difference_type | n | ) |

Definition at line 76 of file field_rdof_node.h.

## operator+()

template<class UnaryFunction, class InputIterator>

self_type operator+ | ( | difference_type | n | ) | const

Definition at line 77 of file field_rdof_node.h.

## operator==()

template<class UnaryFunction, class InputIterator>

bool operator== | ( | const self_type & | j | ) | const

Definition at line 81 of file field_rdof_node.h.

## operator!=()

template<class UnaryFunction, class InputIterator>

bool operator!= | ( | const self_type & | j | ) | const

Definition at line 82 of file field_rdof_node.h.

## Member Data Documentation

## _f

template<class UnaryFunction, class InputIterator>

UnaryFunction _f

protected

Definition at line 86 of file field_rdof_node.h.

## _iter

template<class UnaryFunction, class InputIterator>

InputIterator _iter

protected

Definition at line 87 of file field_rdof_node.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/field_rdof_node.h